# Media Wiki

[Debian / Ubuntu packages](https://www.mediawiki.org/wiki/Manual:Running_MediaWiki_on_Debian_or_Ubuntu)
[Download and install](https://www.mediawiki.org/wiki/Manual:Installing_MediaWiki)
[UI config with browser](https://www.mediawiki.org/wiki/Manual:Config_script)
[LocalSettings.php guide](https://www.mediawiki.org/wiki/Manual:LocalSettings.php)

## Config

File at `/var/lib/mediawiki/LocalSettings.php`

## Warning

Do not use wiki in url filepath.

## Install Media Wiki

### PostgreSQL


```
sudo -u postgres psql

CREATE USER wiki_app WITH NOCREATEDB NOCREATEROLE NOSUPERUSER ENCRYPTED PASSWORD '52w7maa..';

CREATE DATABASE wiki_db WITH OWNER wiki_app;
```

### GNU/Linux packages

Minmal :
```
sudo apt install apache2 php libapache2-mod-php php-xml php-mbstring
```

Optimal :
```
sudo apt install php-apcu php-intl php-gd php-cli php-curl
```

If php-apcu :
`sudo service apache2 reload`


### Download

```
cd /tmp/

wget https://releases.wikimedia.org/mediawiki/1.33/mediawiki-1.33.0.tar.gz

tar -xvzf /tmp/mediawiki-*.tar.gz

sudo mkdir /var/www/mediawiki

sudo mv mediawiki-*/* /var/www/mediawiki

```

### Cli config

```
php maintenance/install.php
```

### Apache HTTPS

### Optional : configure PHP


